dofile('data/Scripts/Scenes/Common.lua');
dofile('data/Scripts/Scenes/Animations/03_Camp_Animations.lua');

------------------------------------------------------------------------------
--
function OnSceneLoad(restoringFromSave)
	InitGameState();

	play_field = playField;
    LoadData();
	play_field = nil;

    RootZoomZone = CreateZoomZone('RootZoomZone', nil, 
                                   nil, 0.0, 
                                   nil, 0.0,
							{'RootBackground',
							 'LayerOverBeam',
							 'LayerOverFrontGrass1',
							 'LayerOverFrontGrass2',
							 'LayerOver01',
							 'LayerOver02',
							 'LayerOver03',
							 'LayerOver04',
							 'LayerOver05',
							 'LayerOver06',
							 'LayerOver07',
							 'LayerOver08',
							 'LayerOver09',
							 'LayerOver10',
							 'LayerOver11',
							 'LayerOver12',
							 'LayerOver13',
							 'LayerOver14',
							 'LayerOverFlashlight',
							 'LayerOverPot',

							 'actZoneInsideTent',
							 'actZoneBackPack',

							 'actZonePotAndSoup',
							 'actZoneBenzinAndLighter',

							 'Pot_onPlace',
							 'Pot',
							 'Flashlight',

							 'amulet',
							 'arrow',
							 'axe',
							 'beads',
							 'binoculars',
							 'boots',
							 'bottle',
							 'butterfly',
							 'cap',
							 'dinosaur',
							 'dogStatue',
							 'equipment',
							 'flashlight',
							 'fuelCan',
							 'glasses',
							 'grasshopper',
							 'handSaw',
							 'hat',
							 'hummer',
							 'idol',
							 'jollyRoger',
							 'knife',
							 'lizard',
							 'manStatue',
							 'mask',
							 'mug',
							 'radio',
							 'rapier',
							 'rifle',
							 'ropeHank',
							 'shark',
							 'shovel',
							 'snake',
							 'spoon',
							 'tambourine',
							 'vessel'},

							{},
							{'fireFlame1',
							 'fireFlame2',
							 'fireGlow'});

    InsideZoomZone = CreateZoomZone('InsideZoomZone', RootZoomZone, 
                                   'actZoneInsideTent', -50.0/180.0 * M_PI,
                                   'navigationZoneInsideTent', 95.0/180.0 * M_PI,
							{'ZoomInsideTentBackground',
							 'navigationZoneInsideTent',

							 'amuletLayerOver',
							 'braceletLayerOver',
							 'featherLayerOver',
							 'handSawLayerOver',
							 'pillowLayerOver',
							 'ropeLayerOver',
							 'scrollLayerOver',
							 'skirtLayerOver',
							 'trunkBase',
							 'trunkCapClosed',
							 'trunkCapOpened',
							 'vaseLayerOver',
							 'clothes',

							 'LayerOverDarkness',

							 'actZoneChest',

							 'Benzine',
							 'AlarmClock',

							 'amulet1',
							 'bat',
							 'boots1',
							 'bracelet',
							 'broosh',
							 'bug',
							 'butterfly1',
							 'chameleon',
							 'compass',
							 'feather',
							 'handbell',
							 'handSaw1',
							 'horn',
							 'indianWarBonnet',
							 'key',
							 'knifeCase',
							 'leaves',
							 'lookingGlass',
							 'machete',
							 'patch',
							 'peace',
							 'pendant',
							 'pillow',
							 'rope',
							 'sack',
							 'scroll',
							 'shirt',
							 'tassel',
							 'vase',
							 'watch'},

							{'trunkCapOpened'},

							{});

    BackPackZoomZone = CreateZoomZone('BackPackZoomZone', RootZoomZone, 
                                   'actZoneBackPack', 0.0,
                                   nil, 0.0,
							{'ZoomBackPackBackground',
							 'LayerOverlighter',

							 'Lighter'},

							{});

	ChestZoomZone = CreateZoomZone('ChestZoomZone', InsideZoomZone, 
                                   'actZoneChest', 0.0,
                                   nil, 0.0,
							{'ZoomChestBackground',
							 'LayerOverSoup',

							 'Soup'},

							{});

if (restoringFromSave == false) then
    AddRandomTasks(true, 2 * MISC_TASK_COUNT_18,
		CreateTask('amulet'),
		CreateTask('arrow'),
		CreateTask('axe'),
		CreateTask('beads'),
		CreateTask('binoculars'),
		CreateTask('boots'),
		CreateTask('bottle'),
		CreateTask('butterfly'),
		CreateTask('cap'),
		CreateTask('dinosaur'),
		CreateTask('dogStatue'),
		CreateTask('equipment'),
--		CreateTask('flashlight'),
		CreateTask('fuelCan'),
		CreateTask('glasses'),
		CreateTask('grasshopper'),
		CreateTask('handSaw'),
		CreateTask('hat'),
		CreateTask('hummer'),
		CreateTask('idol'),
		CreateTask('jollyRoger'),
		CreateTask('knife'),
		CreateTask('lizard'),
		CreateTask('manStatue'),
		CreateTask('mask'),
		CreateTask('mug'),
		CreateTask('radio'),
		CreateTask('rapier'),
		CreateTask('rifle'),
		CreateTask('ropeHank'),
		CreateTask('shark'),
		CreateTask('shovel'),
		CreateTask('snake'),
		CreateTask('spoon'),
		CreateTask('tambourine'),
		CreateTask('vessel'),

		CreateTask('amulet1'),
		CreateTask('bat'),
--		CreateTask('boots1'),		--// to cloase to the active zone (in the bottom of the sceen)
		CreateTask('bracelet'),
		CreateTask('broosh'),
		CreateTask('bug'),
		CreateTask('butterfly1'),
		CreateTask('chameleon'),
		CreateTask('compass'),
		CreateTask('feather'),
		CreateTask('handbell'),
		CreateTask('handSaw1'),
		CreateTask('horn'),
		CreateTask('indianWarBonnet'),
		CreateTask('key'),
		CreateTask('knifeCase'),
		CreateTask('leaves'),
		CreateTask('lookingGlass'),
		CreateTask('machete'),
		CreateTask('patch'),
		CreateTask('peace'),
--		CreateTask('pendant'),
		CreateTask('pillow'),
		CreateTask('rope'),
		CreateTask('sack'),
		CreateTask('scroll'),
--		CreateTask('shirt'),
		CreateTask('tassel'),
		CreateTask('vase'),
		CreateTask('watch')
	);

    playField:GetLevelScreen():AddTaskSafe(CreateTask('Flashlight'));
    playField:GetLevelScreen():AddTaskSafe(CreateTask('Benzine'));
    playField:GetLevelScreen():AddTaskSafe(CreateTask('Lighter'));
    playField:GetLevelScreen():AddTaskSafe(CreateTask('AlarmClock'));
    playField:GetLevelScreen():AddTaskSafe(CreateTask('Pot'));
    playField:GetLevelScreen():AddTaskSafe(CreateTask('Soup'));
end

	CreateToolMap(	{'Flashlight', 	'actZoneInsideTent'},
					{'Benzine', 	'actZoneBenzinAndLighter'},
					{'Lighter', 	'actZoneBenzinAndLighter'},
					{'AlarmClock',	''},
					{'Pot',			'actZonePotAndSoup'},
					{'Soup', 		'actZonePotAndSoup'});

--	SetIconForGameObject(playField:GetObject('DoorRightKey'), 	'data/Texture/Scenes/01_TempleNearTheSea/Items/DoorRightKey_icon.png');
	SetIconForGameObject(playField:GetObject('amulet'),		'data/Texture/Scenes/03_Camp/Items/Misc/amulet_icon.png');
	SetIconForGameObject(playField:GetObject('arrow'),		'data/Texture/Scenes/03_Camp/Items/Misc/arrow_icon.png');
	SetIconForGameObject(playField:GetObject('axe'),		'data/Texture/Scenes/03_Camp/Items/Misc/axe_icon.png');
	SetIconForGameObject(playField:GetObject('beads'),		'data/Texture/Scenes/03_Camp/Items/Misc/beads_icon.png');
	SetIconForGameObject(playField:GetObject('binoculars'),	'data/Texture/Scenes/03_Camp/Items/Misc/binoculars_icon.png');
	SetIconForGameObject(playField:GetObject('boots'),		'data/Texture/Scenes/03_Camp/Items/Misc/boots_icon.png');
	SetIconForGameObject(playField:GetObject('bottle'),		'data/Texture/Scenes/03_Camp/Items/Misc/bottle_icon.png');
	SetIconForGameObject(playField:GetObject('butterfly'),	'data/Texture/Scenes/03_Camp/Items/Misc/butterfly_icon.png');
	SetIconForGameObject(playField:GetObject('cap'),		'data/Texture/Scenes/03_Camp/Items/Misc/cap_icon.png');
	SetIconForGameObject(playField:GetObject('dinosaur'),	'data/Texture/Scenes/03_Camp/Items/Misc/dinosaur_icon.png');
	SetIconForGameObject(playField:GetObject('dogStatue'),	'data/Texture/Scenes/03_Camp/Items/Misc/dogStatue_icon.png');
	SetIconForGameObject(playField:GetObject('equipment'),	'data/Texture/Scenes/03_Camp/Items/Misc/equipment_icon.png');
	SetIconForGameObject(playField:GetObject('flashlight'),	'data/Texture/Scenes/03_Camp/Items/Misc/flashlight_icon.png');
	SetIconForGameObject(playField:GetObject('fuelCan'),	'data/Texture/Scenes/03_Camp/Items/Misc/fuelCan_icon.png');
	SetIconForGameObject(playField:GetObject('glasses'),	'data/Texture/Scenes/03_Camp/Items/Misc/glasses_icon.png');
	SetIconForGameObject(playField:GetObject('grasshopper'),'data/Texture/Scenes/03_Camp/Items/Misc/grasshopper_icon.png');
	SetIconForGameObject(playField:GetObject('handSaw'),	'data/Texture/Scenes/03_Camp/Items/Misc/handSaw_icon.png');
	SetIconForGameObject(playField:GetObject('hat'),		'data/Texture/Scenes/03_Camp/Items/Misc/hat_icon.png');
	SetIconForGameObject(playField:GetObject('hummer'),		'data/Texture/Scenes/03_Camp/Items/Misc/hummer_icon.png');
	SetIconForGameObject(playField:GetObject('idol'),		'data/Texture/Scenes/03_Camp/Items/Misc/idol_icon.png');
	SetIconForGameObject(playField:GetObject('jollyRoger'),	'data/Texture/Scenes/03_Camp/Items/Misc/jollyRoger_icon.png');
	SetIconForGameObject(playField:GetObject('knife'),		'data/Texture/Scenes/03_Camp/Items/Misc/knife_icon.png');
	SetIconForGameObject(playField:GetObject('lizard'),		'data/Texture/Scenes/03_Camp/Items/Misc/lizard_icon.png');
	SetIconForGameObject(playField:GetObject('manStatue'),	'data/Texture/Scenes/03_Camp/Items/Misc/manStatue_icon.png');
	SetIconForGameObject(playField:GetObject('mask'),		'data/Texture/Scenes/03_Camp/Items/Misc/mask_icon.png');
	SetIconForGameObject(playField:GetObject('mug'),		'data/Texture/Scenes/03_Camp/Items/Misc/mug_icon.png');
	SetIconForGameObject(playField:GetObject('radio'),		'data/Texture/Scenes/03_Camp/Items/Misc/radio_icon.png');
	SetIconForGameObject(playField:GetObject('rapier'),		'data/Texture/Scenes/03_Camp/Items/Misc/rapier_icon.png');
	SetIconForGameObject(playField:GetObject('rifle'),		'data/Texture/Scenes/03_Camp/Items/Misc/rifle_icon.png');
	SetIconForGameObject(playField:GetObject('ropeHank'),	'data/Texture/Scenes/03_Camp/Items/Misc/ropeHank_icon.png');
	SetIconForGameObject(playField:GetObject('shark'),		'data/Texture/Scenes/03_Camp/Items/Misc/shark_icon.png');
	SetIconForGameObject(playField:GetObject('shovel'),		'data/Texture/Scenes/03_Camp/Items/Misc/shovel_icon.png');
	SetIconForGameObject(playField:GetObject('snake'),		'data/Texture/Scenes/03_Camp/Items/Misc/snake_icon.png');
	SetIconForGameObject(playField:GetObject('spoon'),		'data/Texture/Scenes/03_Camp/Items/Misc/spoon_icon.png');
	SetIconForGameObject(playField:GetObject('tambourine'),	'data/Texture/Scenes/03_Camp/Items/Misc/tambourine_icon.png');
	SetIconForGameObject(playField:GetObject('vessel'),		'data/Texture/Scenes/03_Camp/Items/Misc/vessel_icon.png');

	SetIconForGameObject(playField:GetObject('amulet1'),	'data/Texture/Scenes/03_Camp/Zones/InsideTent/Items/Misc/amulet_icon.png');
	SetIconForGameObject(playField:GetObject('bat'),		'data/Texture/Scenes/03_Camp/Zones/InsideTent/Items/Misc/bat_icon.png');
	SetIconForGameObject(playField:GetObject('boots1'),		'data/Texture/Scenes/03_Camp/Zones/InsideTent/Items/Misc/boots_icon.png');
	SetIconForGameObject(playField:GetObject('bracelet'),	'data/Texture/Scenes/03_Camp/Zones/InsideTent/Items/Misc/bracelet_icon.png');
	SetIconForGameObject(playField:GetObject('broosh'),		'data/Texture/Scenes/03_Camp/Zones/InsideTent/Items/Misc/broosh_icon.png');
	SetIconForGameObject(playField:GetObject('bug'),		'data/Texture/Scenes/03_Camp/Zones/InsideTent/Items/Misc/bug_icon.png');
	SetIconForGameObject(playField:GetObject('butterfly1'),	'data/Texture/Scenes/03_Camp/Zones/InsideTent/Items/Misc/butterfly_icon.png');
	SetIconForGameObject(playField:GetObject('chameleon'),	'data/Texture/Scenes/03_Camp/Zones/InsideTent/Items/Misc/chameleon_icon.png');
	SetIconForGameObject(playField:GetObject('compass'),	'data/Texture/Scenes/03_Camp/Zones/InsideTent/Items/Misc/compass_icon.png');
	SetIconForGameObject(playField:GetObject('feather'),	'data/Texture/Scenes/03_Camp/Zones/InsideTent/Items/Misc/feather_icon.png');
	SetIconForGameObject(playField:GetObject('handbell'),	'data/Texture/Scenes/03_Camp/Zones/InsideTent/Items/Misc/handbell_icon.png');
	SetIconForGameObject(playField:GetObject('handSaw1'),	'data/Texture/Scenes/03_Camp/Zones/InsideTent/Items/Misc/handSaw_icon.png');
	SetIconForGameObject(playField:GetObject('horn'),		'data/Texture/Scenes/03_Camp/Zones/InsideTent/Items/Misc/horn_icon.png');
	SetIconForGameObject(playField:GetObject('indianWarBonnet'),'data/Texture/Scenes/03_Camp/Zones/InsideTent/Items/Misc/indianWarBonnet_icon.png');
	SetIconForGameObject(playField:GetObject('key'),		'data/Texture/Scenes/03_Camp/Zones/InsideTent/Items/Misc/key_icon.png');
	SetIconForGameObject(playField:GetObject('knifeCase'),	'data/Texture/Scenes/03_Camp/Zones/InsideTent/Items/Misc/knifeCase_icon.png');
	SetIconForGameObject(playField:GetObject('leaves'),		'data/Texture/Scenes/03_Camp/Zones/InsideTent/Items/Misc/leaves_icon.png');
	SetIconForGameObject(playField:GetObject('lookingGlass'),'data/Texture/Scenes/03_Camp/Zones/InsideTent/Items/Misc/lookingGlass_icon.png');
	SetIconForGameObject(playField:GetObject('machete'),	'data/Texture/Scenes/03_Camp/Zones/InsideTent/Items/Misc/machete_icon.png');
	SetIconForGameObject(playField:GetObject('patch'),		'data/Texture/Scenes/03_Camp/Zones/InsideTent/Items/Misc/patch_icon.png');
	SetIconForGameObject(playField:GetObject('peace'),		'data/Texture/Scenes/03_Camp/Zones/InsideTent/Items/Misc/peace_icon.png');
	SetIconForGameObject(playField:GetObject('pendant'),	'data/Texture/Scenes/03_Camp/Zones/InsideTent/Items/Misc/pendant_icon.png');
	SetIconForGameObject(playField:GetObject('pillow'),		'data/Texture/Scenes/03_Camp/Zones/InsideTent/Items/Misc/pillow_icon.png');
	SetIconForGameObject(playField:GetObject('rope'),		'data/Texture/Scenes/03_Camp/Zones/InsideTent/Items/Misc/rope_icon.png');
	SetIconForGameObject(playField:GetObject('sack'),		'data/Texture/Scenes/03_Camp/Zones/InsideTent/Items/Misc/sack_icon.png');
	SetIconForGameObject(playField:GetObject('scroll'),		'data/Texture/Scenes/03_Camp/Zones/InsideTent/Items/Misc/scroll_icon.png');
	SetIconForGameObject(playField:GetObject('shirt'),		'data/Texture/Scenes/03_Camp/Zones/InsideTent/Items/Misc/shirt_icon.png');
	SetIconForGameObject(playField:GetObject('tassel'),		'data/Texture/Scenes/03_Camp/Zones/InsideTent/Items/Misc/tassel_icon.png');
	SetIconForGameObject(playField:GetObject('vase'),		'data/Texture/Scenes/03_Camp/Zones/InsideTent/Items/Misc/vase_icon.png');
	SetIconForGameObject(playField:GetObject('watch'),		'data/Texture/Scenes/03_Camp/Zones/InsideTent/Items/Misc/watch_icon.png');

	SetIconForGameObject(playField:GetObject('Flashlight'),	'data/Texture/Scenes/03_Camp/Items/Flashlight_icon.png');
	SetIconForGameObject(playField:GetObject('Benzine'),	'data/Texture/Scenes/03_Camp/Items/Benzine_icon.png');
	SetIconForGameObject(playField:GetObject('Lighter'),	'data/Texture/Scenes/03_Camp/Items/Lighter_icon.png');
	SetIconForGameObject(playField:GetObject('AlarmClock'),	'data/Texture/Scenes/03_Camp/Items/AlarmClock_icon.png');
	SetIconForGameObject(playField:GetObject('Pot'),		'data/Texture/Scenes/03_Camp/Items/Pot_icon.png');
	SetIconForGameObject(playField:GetObject('Soup'),		'data/Texture/Scenes/03_Camp/Items/Soup_icon.png');

if (restoringFromSave == false) then
	gameState.flashlightFound = false;
	gameState.flashlightUsed = false;
	gameState.potOnPlace = false;
	gameState.benzineUsed = false;
	gameState.lighterUsed = false;
	gameState.chestUnlocked = false;
	gameState.soupOnPlace = false;

	gameState.fireMade = false;

	gameState.allToolsApplied = false;
	gameState.levelCompleted = false;
end

	AssignActiveZonesGlow({function() return gameState.benzineUsed; end,	'actZoneBenzinAndLighter',	'Benzine_ghost'},
                          {function() return gameState.flashlightUsed; end,	'actZoneInsideTent',		'Flashlight_ghost'},
					      {function() return gameState.potOnPlace; end,		'actZonePotAndSoup',		'Pot_ghost'},
						  {function() return gameState.lighterUsed or
											 not gameState.benzineUsed; end,'actZoneBenzinAndLighter',	'Lighter_ghost'},
						  {function() return gameState.soupOnPlace or
                                             not gameState.potOnPlace; end,	'actZonePotAndSoup',		'Soup_ghost'});

    ApplyLevelDump(restoringFromSave);
	SetZoneVisible(RootZoomZone, true, false);

	auxSceneInit(restoringFromSave);
	auxProcessToolObjectStateAnCursorType();

end

------------------------------------------------------------------------------
--
function OnSceneFree()
    FreeData()

	StopSound('L03S11');
	StopSound('L03S12');
	StopSound('L03S13');
end

--// Local auxiliary functions - - - - - - - - - - - - - - - - - - - - - - - -

-- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
function auxSceneInit(restoringFromSave)
    local initialActions = function()
		ShowLevelIntro(03);
    end
	local regularActions = function()
		PlaySound('L03S11', true);

    	gameState.customCursors['actZoneBackPack'] = {'CursorZoom'};

        playField:IgnoreOnTestPoint('LayerOverFrontGrass1');
        playField:IgnoreOnTestPoint('LayerOverFrontGrass2');
        playField:IgnoreOnTestPoint('LayerOver01');
        playField:IgnoreOnTestPoint('LayerOver02');
        playField:IgnoreOnTestPoint('LayerOver03');
        playField:IgnoreOnTestPoint('LayerOver04');
        playField:IgnoreOnTestPoint('LayerOver05');
        playField:IgnoreOnTestPoint('LayerOver06');
        playField:IgnoreOnTestPoint('LayerOver07');
        playField:IgnoreOnTestPoint('LayerOver08');
        playField:IgnoreOnTestPoint('LayerOver09');
        playField:IgnoreOnTestPoint('LayerOver10');
        playField:IgnoreOnTestPoint('LayerOver11');
        playField:IgnoreOnTestPoint('LayerOver12');
        playField:IgnoreOnTestPoint('LayerOver13');
        playField:IgnoreOnTestPoint('LayerOver14');
        playField:IgnoreOnTestPoint('LayerOverFlashlight');
        playField:IgnoreOnTestPoint('amuletLayerOver');
        playField:IgnoreOnTestPoint('braceletLayerOver');
        playField:IgnoreOnTestPoint('featherLayerOver');
        playField:IgnoreOnTestPoint('handSawLayerOver');
        playField:IgnoreOnTestPoint('pillowLayerOver');
        playField:IgnoreOnTestPoint('ropeLayerOver');
        playField:IgnoreOnTestPoint('scrollLayerOver');
        playField:IgnoreOnTestPoint('skirtLayerOver');
        playField:IgnoreOnTestPoint('vaseLayerOver');
        playField:IgnoreOnTestPoint('clothes');

        playField:IgnoreOnTestPoint('fireFlame1');
        playField:IgnoreOnTestPoint('fireFlame2');


    	auxCreateCampAnimations(playField:GetObject('RootBackground'));
    	auxPlayCampAnimation('Spider');
    	auxPlayCampAnimation('CoalsGlow');
    --	auxPlayCampAnimation('FireStarks');
    --	auxPlayCampAnimation('FireSmoke');
    	auxPlayCampAnimation('NightFlies');
    	auxPlayCampAnimation('MysteryEyes');

    	auxCreateCampInsideAnimations(playField:GetObject('ZoomInsideTentBackground'));
    	auxPlayCampAnimation('InsideDust');
    	auxPlayCampAnimation('InsideLight');
    	auxPlayCampAnimation('InsideSpider');

        playField:IgnoreOnTestPoint('fireGlow');
    	auxSetFibrillationEffector(playField:GetObject('fireGlow'), 0.14);
    	auxSetFibrillationEffector(playField:GetObject('LayerOverDarkness'), 0.04);
	end

    if (restoringFromSave == false) then
        initialActions();
    end	
    regularActions();

	if (gameState.levelCompleted == true) then
		gameState.levelCompleted = false;
		auxTestLevelCompleteCondition();
	end
end

function auxProcessToolObjectStateAnCursorType()
    assert(gameState.flashlightUsed ~=  nil and
           gameState.potOnPlace ~=  nil and
           gameState.benzineUsed ~=  nil and
	       gameState.lighterUsed ~=  nil and
	       gameState.chestUnlocked ~=  nil and
	       gameState.soupOnPlace ~=  nil and
		   gameState.fireMade ~=  nil);

	if (gameState.flashlightFound == true and gameState.flashlightUsed == false) then
		gameState.customCursors['actZoneInsideTent'] = {'CursorArms'};
	else
		gameState.customCursors['actZoneInsideTent'] = {'CursorNavigation', -50.0/180.0 * M_PI};
    end
    
    if (gameState.flashlightUsed == true) then
        playField:GetObject('LayerOverDarkness'):SetVisible(false);
    else
        playField:GetObject('LayerOverDarkness'):SetVisible(true);
    end

	if (gameState.potOnPlace == true) then
		RootZoomZone.UnhideObject('Pot_onPlace');
	else
		RootZoomZone.HideObject('Pot_onPlace');
	end

	if (gameState.fireMade == true) then
		assert(gameState.benzineUsed == true and gameState.lighterUsed == true);
		playField:GetObject('fireFlame1'):SetVisible(true);
		playField:GetObject('fireFlame2'):SetVisible(true);
		playField:GetObject('fireGlow'):SetVisible(true);

		auxPlayCampAnimation('FireStarks');
		auxPlayCampAnimation('FireSmoke');
		PlaySound('L03S12', true);
	else
		assert(gameState.benzineUsed == false or gameState.lighterUsed == false);
		playField:GetObject('fireFlame1'):SetVisible(false);
		playField:GetObject('fireFlame2'):SetVisible(false);
		playField:GetObject('fireGlow'):SetVisible(false);
	end

	if (gameState.chestUnlocked == false) then
		gameState.lockedObjects['actZoneChest'] = true;
		gameState.customCursors['actZoneChest'] = nil;

		InsideZoomZone.HideObject('trunkCapOpened');
		InsideZoomZone.UnhideObject('trunkCapClosed');
	else
		if (playField:HasObject('Soup') == false) then
			gameState.customCursors['actZoneChest'] = nil;
			gameState.lockedObjects['actZoneChest'] = true;
		else
			gameState.customCursors['actZoneChest'] = {'CursorZoom'};
			gameState.lockedObjects['actZoneChest'] = nil;
		end		

		InsideZoomZone.HideObject('trunkCapClosed');
		InsideZoomZone.UnhideObject('trunkCapOpened');
	end

	if (gameState.benzineUsed == true and gameState.lighterUsed == true) then
		gameState.customCursors['actZoneBenzinAndLighter'] =  nil;
	else
		gameState.customCursors['actZoneBenzinAndLighter'] =  {'CursorArms'};
	end
	if (gameState.potOnPlace == true and gameState.soupOnPlace == true) then
		gameState.customCursors['actZonePotAndSoup'] = nil;
	else
		gameState.customCursors['actZonePotAndSoup'] = {'CursorArms'};
	end

	if (playField:HasObject('Lighter') == false) then
		gameState.customCursors['actZoneBackPack'] = nil;
		gameState.lockedObjects['actZoneBackPack'] = true;
	else
		gameState.customCursors['actZoneBackPack'] = {'CursorZoom'};
		gameState.lockedObjects['actZoneBackPack'] = nil;
	end
end

--// - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

function auxTestLevelCompleteCondition()
	if (gameState.allToolsApplied == true and
		gameState.levelCompleted == false and
		playField:GetLevelScreen():HasUncompletedTask() == false) then

		gameState.levelCompleted = true;
	--// play outro comix
	TimerDoString('playField:GetLevelScreen():ShowComicScreen(\'Level3Outro\');', 1.0, playField:GetTimer());
		TimerDoString('OnWin();', 2.0, playField:GetTimer());
	end
end
-- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

------------------------------------------------------------------------------
--
function OnDialogButtonPress(name, param)
end

------------------------------------------------------------------------------
--
function OnUpdate(dt)
    DefaultOnUpdate(dt);
end

------------------------------------------------------------------------------
--
function OnWin()
	DefaultOnWin();
end

------------------------------------------------------------------------------
--
function OnObjectMouseEnter(object)
    local objectName = object:GetName();

    DefaultOnObjectMouseEnter(object);
	ActivateActiveZoneGlow(objectName);
end

------------------------------------------------------------------------------
--
function OnObjectMouseLeave(object)
    local objectName = object:GetName();

    DefaultOnObjectMouseLeave(object);
    DeactivateActiveZoneGlow(objectName);
end

------------------------------------------------------------------------------
--
function OnObjectMouseDown(object)
    local objectName = object:GetName();
    local isWrongClick = true;

	assert(gameState.activeZone ~= nil and gameState.locker:GetNReferences() > 0);

    if (gameState.lockedObjects[objectName] ~= true) then
        if (gameState.activeZone.HasObject(objectName)) then
            isWrongClick = DefaultOnZoomZoneActiveObjectClick(objectName);

			--// ...

	        if (isWrongClick == true and playField:GetLevelScreen():IsTaskObject(objectName)) then
	            auxAttachInPlace(object, playField);
				object:ResetClippingRect();
				--// remove object from zoom-zone which contents it
				assert(gameState.activeZone.objects[objectName] ~= nil);
				gameState.activeZone.objects[objectName] = nil;

                playField:OnObjectFound(object);
                isWrongClick = false;
            end
        else
--			assert(gameState.activeZone ~= RootZoomZone and 
--				   gameState.locker:GetNReferences() > 1 and
--				   'Attempt to close root scene - you have clicked on an object which hasn`t been added to any zoom-zone');
            if (gameState.activeZone ~= RootZoomZone and gameState.locker:GetNReferences() > 1) then
                if (gameState.lockedObjects[gameState.activeZone.activeObject] == nil) then
                    SetZoneVisible(gameState.activeZone, false);
                end
            else
                Log('Lua: OnObjectMouseDown(\''..objectName..'\'): Was made click on object which hasn`t been attached to any zoom-zone');
            end
        end --// if (gameState.activeZone.HasObject(...
    end --// if (gameState.lockedObjects[...

	--// Tips - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 
	if (objectName == 'LayerOverDarkness') then
	    playField:GetLevelScreen():ShowTip(GetTextString('LEVEL3_DARKNESS_TIP1'), GetTextString('LEVEL3_DARKNESS_TIP2'));
	elseif (objectName == 'actZonePotAndSoup') then
		if (gameState.potOnPlace == false) then
		    playField:GetLevelScreen():ShowTip(GetTextString('LEVEL3_SOUP_TIP1'));
		elseif (gameState.soupOnPlace == false) then
		    playField:GetLevelScreen():ShowTip(GetTextString('LEVEL3_POT_TIP1'), GetTextString('LEVEL3_POT_TIP2'));
		end
	elseif (objectName == 'actZoneBenzinAndLighter') then
		if (gameState.benzineUsed == false or gameState.lighterUsed == false) then
			playField:GetLevelScreen():ShowTip(GetTextString('LEVEL3_FIRE_TIP1'));
		end
	else
	    playField:GetLevelScreen():HideTip();
	end
	--//- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 

    DefaultOnObjectClick(object, isWrongClick, not playField:GetLevelScreen():IsTipShown());
    DefaultOnObjectMouseEnter(object);
end

------------------------------------------------------------------------------
--
function OnObjectMouseUp(object)
end

------------------------------------------------------------------------------
--
function OnObjectFound(object)
    local objectName = object:GetName();
	-- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
    if (objectName == 'Flashlight') then
		gameState.flashlightFound = true;
		auxProcessToolObjectStateAnCursorType();
	    playField:GetLevelScreen():ShowTip(GetTextString('LEVEL3_FLASHLIGHT_TIP1'));
    end

    --// automatic zoom-zone hiding and blocking when all item it has have been collected
    assert(gameState.activeZone ~= nil);

	local closeAndBlockActiveZone = false;
    if (gameState.activeZone == BackPackZoomZone and objectName == 'Lighter') then
		closeAndBlockActiveZone = true;
    elseif (gameState.activeZone == ChestZoomZone and objectName == 'Soup') then
		closeAndBlockActiveZone = true;
    end
	if (closeAndBlockActiveZone == true) then
		CloseAndBlockActiveZone();
	end
	--// - - - - 

	if (objectName == 'AlarmClock') then
		HighlightGameObject(playField:GetObject('actZoneChest'), playField:GetTimer(), 3.0);
		HighlightGameObject(playField:GetObject('actZoneChest'), playField:GetTimer(), 3.1);
		auxProcessToolObjectStateAnCursorType();

	    playField:GetLevelScreen():RunMiniGame('data/Scripts/Minigames/Clock.lua');
	end

	-- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
	local objectMustBeHighlighted = (DefaultOnObjectFound(object) and objectName ~= 'AlarmClock');
	return objectMustBeHighlighted;
end

------------------------------------------------------------------------------
--
function OnToolFound(tool)
end

------------------------------------------------------------------------------
--
function CanToolBeApplied(tool, object)
	local toolName = tool:GetName();
	local objName = object:GetName();
    local canToolBeApplied = true;
	-- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
	if (toolName == 'Flashlight' and objName == 'actZoneInsideTent') then
		assert(gameState.flashlightUsed == false);
		return true;
	end
	-- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
	canToolBeApplied = DefaultCanToolBeApplied(tool, object);
	return canToolBeApplied;
end

------------------------------------------------------------------------------
--
function OnToolApply(tool, object)
	local toolName = tool:GetName();
	local objName = object:GetName();
    local toolApplied = false;
	-- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
	if (toolName == 'Flashlight' and (objName == gameState.toolMap[toolName] or
								      objName == 'LayerOverDarkness')) then
    	gameState.flashlightUsed = true;
		toolApplied = true;
	end
	if (toolName == 'Benzine' and objName == gameState.toolMap[toolName]) then
    	gameState.benzineUsed = true;
		toolApplied = true;
	end
	if (toolName == 'Lighter' and objName == gameState.toolMap[toolName]) then
		if (gameState.benzineUsed == true) then
	    	gameState.lighterUsed = true;
			toolApplied = true;
		else
			playField:GetLevelScreen():ShowTip(GetTextString('LEVEL3_LIGHTER_TIP1'), 
											   GetTextString('LEVEL3_LIGHTER_TIP2'),
											   GetTextString('CANNT_USE_ITEM_YET_TIP1'));
			return;
		end
	end
	if (toolName == 'AlarmClock') then
    	gameState.chestUnlocked = true;
		toolApplied = true;
	end
	if (toolName == 'Pot' and objName == gameState.toolMap[toolName]) then
    	gameState.potOnPlace = true;
		toolApplied = true;
	end
	if (toolName == 'Soup' and objName == gameState.toolMap[toolName]) then
		if (gameState.potOnPlace == true) then
	    	gameState.soupOnPlace = true;
			toolApplied = true;
		else
			playField:GetLevelScreen():ShowTip(GetTextString('LEVEL3_SOUP_TIP1'), 
											   GetTextString('LEVEL3_SOUP_TIP2'));
			return;
		end
	end
	if (not toolApplied) then
	    playField:GetLevelScreen():ShowTip(GetTextString('WRONG_ITEM_APPLIED_TIP1'),
										   GetTextString('WRONG_ITEM_APPLIED_TIP2'));
	end
	
	if (gameState.benzineUsed == true and gameState.lighterUsed == true and
		gameState.fireMade == false) then
		PlaySound('L03S12', true);
		gameState.fireMade = true;
	end

	if (gameState.flashlightUsed == true and
		gameState.benzineUsed == true and
		gameState.lighterUsed == true and
		gameState.chestUnlocked == true and
		gameState.potOnPlace == true and
		gameState.soupOnPlace == true and
		gameState.allToolsApplied == false) then

		gameState.allToolsApplied = true;
		if (playField:GetLevelScreen():HasUncompletedTask() == true) then
		    playField:GetLevelScreen():ShowTip(GetTextString('HAVE_TO_FIND_ITEMS_MSG1'),
											   GetTextString('HAVE_TO_FIND_ITEMS_MSG2'));
		else
			auxTestLevelCompleteCondition();
		end
	end

	auxProcessToolObjectStateAnCursorType();
	-- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
    DefaultOnObjectMouseEnter(object);
	if (toolApplied == true) then
	    DeactivateActiveZoneDeactivatedGlow(object:GetName());
	end
	return toolApplied;
end

------------------------------------------------------------------------------
--
function OnObjectReachPanel(object)
    local objectName = object:GetName();

	if objectName == 'AlarmClock' then
		PlaySound('L03S13');
		playField:ApplyTool(object, object);
	end

	auxTestLevelCompleteCondition();
end

------------------------------------------------------------------------------
--
function OnButtonPress(zoneName)
    DefaultOnButtonPress(zoneName);
end

------------------------------------------------------------------------------
--
function OnMouseMove(prevMousePos, currentMousePos)
end

------------------------------------------------------------------------------
--
function OnSetTool(tool)
end

------------------------------------------------------------------------------
-- CLEAR_ON_SAVE_BEGIN
-- Do not edit code listed below (generated by the editor on each save)
function LoadData()
	local anim = CreateAnimation('data/Texture/Scenes/03_Camp/Layers/background.jpg',0,0,1024,768,1,0)
	anim:SetHotSpot(512,384)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('RootBackground',anim,512,383,99,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/03_Camp/Layers/LayerOverBeam.png',0,0,1024,149,1,0)
	anim:SetHotSpot(512,74)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('LayerOverBeam',anim,514,691,107,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/03_Camp/Layers/LayerOverFrontGrass1.png',0,0,1024,280,1,0)
	anim:SetHotSpot(512,140)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('LayerOverFrontGrass1',anim,512,628,111,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/03_Camp/Layers/LayerOverFrontGrass2.png',0,0,1024,215,1,0)
	anim:SetHotSpot(512,107)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('LayerOverFrontGrass2',anim,511,661,110,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/03_Camp/Layers/LayerOver01.png',0,0,56,101,1,0)
	anim:SetHotSpot(28,50)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('LayerOver01',anim,306,597,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/03_Camp/Layers/LayerOver02.png',0,0,128,105,1,0)
	anim:SetHotSpot(64,52)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('LayerOver02',anim,818,501,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/03_Camp/Layers/LayerOver03.png',0,0,39,90,1,0)
	anim:SetHotSpot(19,45)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('LayerOver03',anim,731,585,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/03_Camp/Layers/LayerOver04.png',0,0,42,44,1,0)
	anim:SetHotSpot(21,22)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('LayerOver04',anim,569,86,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/03_Camp/Layers/LayerOver05.png',0,0,50,38,1,0)
	anim:SetHotSpot(25,19)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('LayerOver05',anim,388,27,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/03_Camp/Layers/LayerOver06.png',0,0,60,44,1,0)
	anim:SetHotSpot(30,22)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('LayerOver06',anim,734,654,106,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/03_Camp/Layers/LayerOver07.png',0,0,130,97,1,0)
	anim:SetHotSpot(65,48)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('LayerOver07',anim,177,361,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/03_Camp/Layers/LayerOver08.png',0,0,108,193,1,0)
	anim:SetHotSpot(54,96)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('LayerOver08',anim,908,373,103,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/03_Camp/Layers/LayerOver09.png',0,0,103,78,1,0)
	anim:SetHotSpot(51,39)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('LayerOver09',anim,803,634,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/03_Camp/Layers/LayerOver10.png',0,0,187,156,1,0)
	anim:SetHotSpot(93,78)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('LayerOver10',anim,772,133,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/03_Camp/Layers/LayerOver11.png',0,0,82,60,1,0)
	anim:SetHotSpot(41,30)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('LayerOver11',anim,526,319,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/03_Camp/Layers/LayerOver12.png',0,0,66,102,1,0)
	anim:SetHotSpot(33,51)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('LayerOver12',anim,389,302,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/03_Camp/Layers/LayerOver13.png',0,0,50,80,1,0)
	anim:SetHotSpot(25,40)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('LayerOver13',anim,542,188,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/03_Camp/Layers/LayerOver14.png',0,0,54,28,1,0)
	anim:SetHotSpot(27,14)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('LayerOver14',anim,293,690,109,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/fire1.png',0,0,86,128,31,14)
	anim:SetHotSpot(43,64)
	anim:SetBlendMode(0)
	anim:SetColor('0xDDFFBBFF')
	play_field:CreateObject('fireFlame1',anim,508,562,101,0,1.6,1.6)
	local anim = CreateAnimation('data/Texture/Scenes/Common/fire1.png',0,0,86,128,31,11)
	anim:SetHotSpot(43,64)
	anim:SetBlendMode(0)
	anim:SetColor('0xDDFFBBFF')
	play_field:CreateObject('fireFlame2',anim,554,560,100,0,-1.5,1.5)
	local anim = CreateAnimation('data/Texture/Scenes/Common/radialGlow.png',0,0,97,99,1,0)
	anim:SetHotSpot(48,48)
	anim:SetBlendMode(0)
	anim:SetColor('0xAAFFAA00')
	play_field:CreateObject('fireGlow',anim,508,584,106,0,16,8)
	local anim = CreateAnimation('data/Texture/Scenes/03_Camp/Layers/LayerOverFlashlight.png',0,0,91,54,1,0)
	anim:SetHotSpot(45,27)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('LayerOverFlashlight',anim,665,86,106,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/03_Camp/Layers/LayerOverPot.png',0,0,45,16,1,0)
	anim:SetHotSpot(22,8)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('LayerOverPot',anim,543,458,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/03_Camp/Items/Pot_onPlace.png',0,0,96,124,1,0)
	anim:SetHotSpot(48,62)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('Pot_onPlace',anim,531,507,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/actZoneC.png',0,0,128,128,1,0)
	anim:SetHotSpot(64,64)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	play_field:CreateObject('actZonePotAndSoup',anim,530,507,106,0,0.8,0.9)
	local anim = CreateAnimation('data/Texture/Scenes/Common/actZoneC.png',0,0,128,128,1,0)
	anim:SetHotSpot(64,64)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	play_field:CreateObject('actZoneBenzinAndLighter',anim,530,610,106,0,1.4,0.7)
	local anim = CreateAnimation('data/Texture/Scenes/03_Camp/Items/Pot.png',0,0,107,130,1,0)
	anim:SetHotSpot(53,65)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('Pot',anim,805,470,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/03_Camp/Items/Flashlight.png',0,0,102,55,1,0)
	anim:SetHotSpot(51,27)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('Flashlight',anim,625,90,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/03_Camp/Items/Misc/amulet.png',0,0,67,146,1,0)
	anim:SetHotSpot(33,73)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('amulet',anim,388,86,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/03_Camp/Items/Misc/arrow.png',0,0,120,76,1,0)
	anim:SetHotSpot(60,38)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('arrow',anim,181,369,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/03_Camp/Items/Misc/axe.png',0,0,152,108,1,0)
	anim:SetHotSpot(76,54)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('axe',anim,247,640,108,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/03_Camp/Items/Misc/beads.png',0,0,68,87,1,0)
	anim:SetHotSpot(34,43)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('beads',anim,559,196,103,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/03_Camp/Items/Misc/binoculars.png',0,0,69,51,1,0)
	anim:SetHotSpot(34,25)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('binoculars',anim,528,320,103,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/03_Camp/Items/Misc/boots.png',0,0,92,83,1,0)
	anim:SetHotSpot(46,41)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('boots',anim,704,578,103,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/03_Camp/Items/Misc/bottle.png',0,0,49,124,1,0)
	anim:SetHotSpot(24,62)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('bottle',anim,655,709,108,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/03_Camp/Items/Misc/butterfly.png',0,0,77,70,1,0)
	anim:SetHotSpot(38,35)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('butterfly',anim,942,468,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/03_Camp/Items/Misc/cap.png',0,0,101,100,1,0)
	anim:SetHotSpot(50,50)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('cap',anim,593,687,108,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/03_Camp/Items/Misc/dinosaur.png',0,0,57,81,1,0)
	anim:SetHotSpot(28,40)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('dinosaur',anim,342,348,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/03_Camp/Items/Misc/dogStatue.png',0,0,118,90,1,0)
	anim:SetHotSpot(59,45)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('dogStatue',anim,801,623,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/03_Camp/Items/Misc/equipment.png',0,0,138,140,1,0)
	anim:SetHotSpot(69,70)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('equipment',anim,783,131,103,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/03_Camp/Items/Misc/flashlight.png',0,0,82,97,1,0)
	anim:SetHotSpot(41,41)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	play_field:CreateObject('flashlight',anim,390,718,108,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/03_Camp/Items/Misc/fuelCan.png',0,0,103,84,1,0)
	anim:SetHotSpot(51,42)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('fuelCan',anim,784,509,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/03_Camp/Items/Misc/glasses.png',0,0,69,45,1,0)
	anim:SetHotSpot(34,22)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('glasses',anim,339,712,108,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/03_Camp/Items/Misc/grasshopper.png',0,0,89,48,1,0)
	anim:SetHotSpot(44,24)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('grasshopper',anim,494,677,108,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/03_Camp/Items/Misc/handSaw.png',0,0,54,111,1,0)
	anim:SetHotSpot(27,55)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('handSaw',anim,676,547,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/03_Camp/Items/Misc/hat.png',0,0,103,71,1,0)
	anim:SetHotSpot(51,35)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('hat',anim,607,331,103,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/03_Camp/Items/Misc/hummer.png',0,0,84,116,1,0)
	anim:SetHotSpot(42,58)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('hummer',anim,311,583,103,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/03_Camp/Items/Misc/idol.png',0,0,77,156,1,0)
	anim:SetHotSpot(38,78)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('idol',anim,911,375,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/03_Camp/Items/Misc/jollyRoger.png',0,0,78,69,1,0)
	anim:SetHotSpot(39,34)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('jollyRoger',anim,364,216,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/03_Camp/Items/Misc/knife.png',0,0,127,64,1,0)
	anim:SetHotSpot(63,32)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('knife',anim,518,122,103,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/03_Camp/Items/Misc/lizard.png',0,0,98,109,1,0)
	anim:SetHotSpot(49,54)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('lizard',anim,500,70,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/03_Camp/Items/Misc/manStatue.png',0,0,78,128,1,0)
	anim:SetHotSpot(39,64)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('manStatue',anim,244,470,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/03_Camp/Items/Misc/mask.png',0,0,49,105,1,0)
	anim:SetHotSpot(24,52)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('mask',anim,722,314,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/03_Camp/Items/Misc/mug.png',0,0,66,52,1,0)
	anim:SetHotSpot(33,26)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('mug',anim,728,637,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/03_Camp/Items/Misc/radio.png',0,0,88,74,1,0)
	anim:SetHotSpot(44,37)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('radio',anim,336,578,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/03_Camp/Items/Misc/rapier.png',0,0,79,268,1,0)
	anim:SetHotSpot(39,134)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('rapier',anim,932,642,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/03_Camp/Items/Misc/rifle.png',0,0,116,247,1,0)
	anim:SetHotSpot(58,123)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('rifle',anim,269,605,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/03_Camp/Items/Misc/ropeHank.png',0,0,101,99,1,0)
	anim:SetHotSpot(50,49)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('ropeHank',anim,834,710,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/03_Camp/Items/Misc/shark.png',0,0,62,81,1,0)
	anim:SetHotSpot(31,40)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('shark',anim,651,447,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/03_Camp/Items/Misc/shovel.png',0,0,46,123,1,0)
	anim:SetHotSpot(23,61)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('shovel',anim,645,552,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/03_Camp/Items/Misc/snake.png',0,0,103,133,1,0)
	anim:SetHotSpot(51,66)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('snake',anim,250,171,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/03_Camp/Items/Misc/spoon.png',0,0,113,61,1,0)
	anim:SetHotSpot(56,30)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('spoon',anim,410,654,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/03_Camp/Items/Misc/tambourine.png',0,0,80,81,1,0)
	anim:SetHotSpot(40,40)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('tambourine',anim,414,301,103,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/03_Camp/Items/Misc/vessel.png',0,0,76,86,1,0)
	anim:SetHotSpot(38,43)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('vessel',anim,839,502,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/actZoneC.png',0,0,128,128,1,0)
	anim:SetHotSpot(64,64)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	play_field:CreateObject('actZoneInsideTent',anim,454,464,100,10,0.8,2)
	local anim = CreateAnimation('data/Texture/Scenes/Common/actZoneC.png',0,0,128,128,1,0)
	anim:SetHotSpot(64,64)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	play_field:CreateObject('navigationZoneInsideTent',anim,552,741,211,0,12,1)
	local anim = CreateAnimation('data/Texture/Scenes/03_Camp/Zones/InsideTent/Layers/background.jpg',0,0,1024,768,1,0)
	anim:SetHotSpot(512,384)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('ZoomInsideTentBackground',anim,512,384,199,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/03_Camp/Zones/InsideTent/Layers/amuletLayerOver.png',0,0,85,138,1,0)
	anim:SetHotSpot(42,69)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('amuletLayerOver',anim,923,191,204,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/03_Camp/Zones/InsideTent/Layers/braceletLayerOver.png',0,0,38,20,1,0)
	anim:SetHotSpot(19,10)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('braceletLayerOver',anim,150,289,204,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/03_Camp/Zones/InsideTent/Layers/featherLayerOver.png',0,0,113,85,1,0)
	anim:SetHotSpot(56,42)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('featherLayerOver',anim,670,305,204,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/03_Camp/Zones/InsideTent/Layers/handSawLayerOver.png',0,0,86,65,1,0)
	anim:SetHotSpot(43,32)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('handSawLayerOver',anim,311,304,204,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/03_Camp/Zones/InsideTent/Layers/pillowLayerOver.png',0,0,128,127,1,0)
	anim:SetHotSpot(64,63)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('pillowLayerOver',anim,424,547,204,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/03_Camp/Zones/InsideTent/Layers/ropeLayerOver.png',0,0,76,80,1,0)
	anim:SetHotSpot(38,40)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('ropeLayerOver',anim,610,457,204,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/03_Camp/Zones/InsideTent/Layers/scrollLayerOver.png',0,0,123,130,1,0)
	anim:SetHotSpot(61,65)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('scrollLayerOver',anim,956,598,204,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/03_Camp/Zones/InsideTent/Layers/skirtLayerOver.png',0,0,223,274,1,0)
	anim:SetHotSpot(111,137)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('skirtLayerOver',anim,456,282,204,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/03_Camp/Zones/InsideTent/Layers/trunkBase.png',0,0,350,204,1,0)
	anim:SetHotSpot(175,102)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('trunkBase',anim,170,672,203,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/03_Camp/Zones/InsideTent/Layers/trunkCapClosed.png',0,0,351,189,1,0)
	anim:SetHotSpot(175,94)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('trunkCapClosed',anim,170,630,204,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/03_Camp/Zones/InsideTent/Layers/trunkCapOpened.png',0,0,321,186,1,0)
	anim:SetHotSpot(160,93)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('trunkCapOpened',anim,153,535,205,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/03_Camp/Zones/InsideTent/Layers/vaseLayerOver.png',0,0,178,81,1,0)
	anim:SetHotSpot(89,40)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('vaseLayerOver',anim,784,589,204,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/03_Camp/Zones/InsideTent/Layers/clothes.png',0,0,148,126,1,0)
	anim:SetHotSpot(74,63)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('clothes',anim,292,582,202,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/03_Camp/Zones/InsideTent/Layers/LayerOverDarkness.jpg',0,0,1024,768,1,0)
	anim:SetHotSpot(512,384)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('LayerOverDarkness',anim,512,384,210,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/03_Camp/Items/Benzine.png',0,0,60,108,1,0)
	anim:SetHotSpot(30,54)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('Benzine',anim,348,563,201,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/03_Camp/Items/AlarmClock.png',0,0,94,67,1,0)
	anim:SetHotSpot(47,33)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('AlarmClock',anim,221,555,207,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/03_Camp/Zones/InsideTent/Items/Misc/amulet.png',0,0,94,120,1,0)
	anim:SetHotSpot(47,60)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('amulet1',anim,908,205,203,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/03_Camp/Zones/InsideTent/Items/Misc/bat.png',0,0,65,108,1,0)
	anim:SetHotSpot(32,54)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('bat',anim,691,168,204,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/03_Camp/Zones/InsideTent/Items/Misc/boots.png',0,0,152,154,1,0)
	anim:SetHotSpot(76,77)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('boots1',anim,772,698,204,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/03_Camp/Zones/InsideTent/Items/Misc/bracelet.png',0,0,87,88,1,0)
	anim:SetHotSpot(43,44)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('bracelet',anim,150,323,203,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/03_Camp/Zones/InsideTent/Items/Misc/broosh.png',0,0,105,67,1,0)
	anim:SetHotSpot(52,33)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('broosh',anim,623,582,204,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/03_Camp/Zones/InsideTent/Items/Misc/bug.png',0,0,73,111,1,0)
	anim:SetHotSpot(36,55)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('bug',anim,504,244,205,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/03_Camp/Zones/InsideTent/Items/Misc/butterfly.png',0,0,49,70,1,0)
	anim:SetHotSpot(24,35)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('butterfly1',anim,976,372,204,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/03_Camp/Zones/InsideTent/Items/Misc/chameleon.png',0,0,99,110,1,0)
	anim:SetHotSpot(49,55)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('chameleon',anim,222,480,204,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/03_Camp/Zones/InsideTent/Items/Misc/compass.png',0,0,60,79,1,0)
	anim:SetHotSpot(30,39)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('compass',anim,778,103,204,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/03_Camp/Zones/InsideTent/Items/Misc/feather.png',0,0,113,81,1,0)
	anim:SetHotSpot(56,40)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('feather',anim,712,267,203,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/03_Camp/Zones/InsideTent/Items/Misc/handbell.png',0,0,115,134,1,0)
	anim:SetHotSpot(57,67)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('handbell',anim,354,590,202,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/03_Camp/Zones/InsideTent/Items/Misc/handSaw.png',0,0,96,94,1,0)
	anim:SetHotSpot(48,47)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('handSaw1',anim,299,282,203,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/03_Camp/Zones/InsideTent/Items/Misc/horn.png',0,0,149,107,1,0)
	anim:SetHotSpot(74,53)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('horn',anim,890,46,204,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/03_Camp/Zones/InsideTent/Items/Misc/indianWarBonnet.png',0,0,184,240,1,0)
	anim:SetHotSpot(92,120)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('indianWarBonnet',anim,193,134,203,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/03_Camp/Zones/InsideTent/Items/Misc/key.png',0,0,119,54,1,0)
	anim:SetHotSpot(59,27)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('key',anim,823,653,203,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/03_Camp/Zones/InsideTent/Items/Misc/knifeCase.png',0,0,66,123,1,0)
	anim:SetHotSpot(33,61)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('knifeCase',anim,539,72,204,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/03_Camp/Zones/InsideTent/Items/Misc/leaves.png',0,0,65,57,1,0)
	anim:SetHotSpot(32,28)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('leaves',anim,984,236,204,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/03_Camp/Zones/InsideTent/Items/Misc/lookingGlass.png',0,0,71,104,1,0)
	anim:SetHotSpot(35,52)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('lookingGlass',anim,633,268,203,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/03_Camp/Zones/InsideTent/Items/Misc/machete.png',0,0,171,89,1,0)
	anim:SetHotSpot(85,44)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('machete',anim,605,639,204,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/03_Camp/Zones/InsideTent/Items/Misc/patch.png',0,0,142,135,1,0)
	anim:SetHotSpot(71,67)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('patch',anim,811,190,204,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/03_Camp/Zones/InsideTent/Items/Misc/peace.png',0,0,85,36,1,0)
	anim:SetHotSpot(42,18)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('peace',anim,805,420,204,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/03_Camp/Zones/InsideTent/Items/Misc/pendant.png',0,0,87,111,1,0)
	anim:SetHotSpot(43,55)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('pendant',anim,285,673,204,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/03_Camp/Zones/InsideTent/Items/Misc/pillow.png',0,0,151,127,1,0)
	anim:SetHotSpot(75,63)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('pillow',anim,373,531,200,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/03_Camp/Zones/InsideTent/Items/Misc/rope.png',0,0,82,120,1,0)
	anim:SetHotSpot(41,60)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('rope',anim,607,424,203,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/03_Camp/Zones/InsideTent/Items/Misc/sack.png',0,0,71,182,1,0)
	anim:SetHotSpot(35,91)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('sack',anim,427,68,204,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/03_Camp/Zones/InsideTent/Items/Misc/scroll.png',0,0,92,193,1,0)
	anim:SetHotSpot(46,96)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('scroll',anim,953,511,203,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/03_Camp/Zones/InsideTent/Items/Misc/shirt.png',0,0,214,477,1,0)
	anim:SetHotSpot(107,238)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('shirt',anim,436,236,202,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/03_Camp/Zones/InsideTent/Items/Misc/tassel.png',0,0,45,131,1,0)
	anim:SetHotSpot(22,65)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('tassel',anim,159,195,204,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/03_Camp/Zones/InsideTent/Items/Misc/vase.png',0,0,126,157,1,0)
	anim:SetHotSpot(63,78)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('vase',anim,758,528,203,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/03_Camp/Zones/InsideTent/Items/Misc/watch.png',0,0,84,65,1,0)
	anim:SetHotSpot(42,32)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('watch',anim,730,612,205,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/actZoneC.png',0,0,128,128,1,0)
	anim:SetHotSpot(64,64)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	play_field:CreateObject('actZoneBackPack',anim,799,569,103,0,0.75,0.9)
	local anim = CreateAnimation('data/Texture/Scenes/03_Camp/Zones/BackPack/Layers/background.jpg',0,0,640,480,1,0)
	anim:SetHotSpot(320,240)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('ZoomBackPackBackground',anim,628,449,200,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/03_Camp/Zones/BackPack/Layers/LayerOverlighter.png',0,0,82,57,1,0)
	anim:SetHotSpot(41,28)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('LayerOverlighter',anim,590,454,204,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/03_Camp/Items/Lighter.png',0,0,81,80,1,0)
	anim:SetHotSpot(40,40)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('Lighter',anim,576,427,203,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/actZoneC.png',0,0,128,128,1,0)
	anim:SetHotSpot(64,64)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	play_field:CreateObject('actZoneChest',anim,168,609,206,-10,3,1)
	local anim = CreateAnimation('data/Texture/Scenes/03_Camp/Zones/InsideTent/Zones/Chest/Layers/background.jpg',0,0,640,480,1,0)
	anim:SetHotSpot(320,240)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('ZoomChestBackground',anim,552,342,300,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/03_Camp/Zones/InsideTent/Zones/Chest/Layers/LayerOverSoup.png',0,0,200,133,1,0)
	anim:SetHotSpot(100,66)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('LayerOverSoup',anim,696,504,304,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/03_Camp/Items/Soup.png',0,0,87,74,1,0)
	anim:SetHotSpot(43,37)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	play_field:CreateObject('Soup',anim,666,488,303,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/03_Camp/Items/Pot_ghost.png',0,0,128,160,1,0)
	anim:SetHotSpot(64,80)
	anim:SetBlendMode(0)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('Pot_ghost',anim,531,508,110,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/03_Camp/Items/Benzine_ghost.png',0,0,110,90,1,0)
	anim:SetHotSpot(55,45)
	anim:SetBlendMode(0)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('Benzine_ghost',anim,559,613,110,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/03_Camp/Items/Lighter_ghost.png',0,0,96,96,1,0)
	anim:SetHotSpot(48,48)
	anim:SetBlendMode(0)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('Lighter_ghost',anim,496,610,110,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/03_Camp/Items/Flashlight_ghost.png',0,0,128,70,1,0)
	anim:SetHotSpot(64,35)
	anim:SetBlendMode(0)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('Flashlight_ghost',anim,442,471,110,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/03_Camp/Items/Soup_ghost.png',0,0,96,96,1,0)
	anim:SetHotSpot(48,48)
	anim:SetBlendMode(0)
	anim:SetColor('0xFFFFFFFF')
	play_field:CreateObject('Soup_ghost',anim,529,464,110,0,1,1)
end

function FreeData()
end
-- CLEAR_ON_SAVE_END
